Skip to main content
POST
/
members
Add Account Member
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/members \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "admin"
}
'
{
  "id": 123,
  "display_name": "<string>",
  "email": "jsmith@example.com",
  "role": "admin",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "avatar_url": "<string>",
  "url": "<string>",
  "html_url": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Body

application/json
email
string<email>
required
role
enum<string>
required
Available options:
admin,
member,
viewer

Response

201 - application/vnd.xplenty+json; version=2

Member added

id
integer
display_name
string
email
string<email>
role
enum<string>
Available options:
admin,
member,
viewer
created_at
string<date-time>
updated_at
string<date-time>
avatar_url
string<uri>
url
string<uri>
html_url
string<uri>
Last modified on April 20, 2026